// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::Filter;
use glib::object::Cast;
use glib::translate::*;
use std::fmt;

glib::wrapper! {
    #[doc(alias = "GMimeFilterSmtpData")]
    pub struct FilterSmtpData(Object<ffi::GMimeFilterSmtpData, ffi::GMimeFilterSmtpDataClass>) @extends Filter;

    match fn {
        type_ => || ffi::g_mime_filter_smtp_data_get_type(),
    }
}

impl FilterSmtpData {
    #[doc(alias = "g_mime_filter_smtp_data_new")]
    pub fn new() -> FilterSmtpData {
        assert_initialized_main_thread!();
        unsafe { Filter::from_glib_full(ffi::g_mime_filter_smtp_data_new()).unsafe_cast() }
    }
}

impl Default for FilterSmtpData {
    fn default() -> Self {
        Self::new()
    }
}

pub const NONE_FILTER_SMTP_DATA: Option<&FilterSmtpData> = None;

impl fmt::Display for FilterSmtpData {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("FilterSmtpData")
    }
}
